Bug 93060 - Start Center: 'Use the sidebar to open or create a file'
Summary: Start Center: 'Use the sidebar to open or create a file'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-01 13:53 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-05-14 13:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-01 13:53:47 UTC
I believe the use of the word 'sidebar' in the start center isnt correct as the sidebar should only be used for the right tab panel found in the apps.
Comment 1 V Stuart Foote 2015-08-01 16:10:38 UTC
@Jay, *

Not seeing an issue.

The string gets translated for localization, and it is completely unambiguous in a Start Center empty of thumbnail previews what is being referred to.  

As that is the only time the Welcome message shows, it is not a UI/UX issue.
Comment 2 Yousuf Philips (jay) (retired) 2015-08-01 16:46:50 UTC
I'm asking what the app launcher panel on the left of the start center should be called, as i dont think it should be called a sidebar.
Comment 3 V Stuart Foote 2015-08-01 19:35:23 UTC
(In reply to Yousuf (Jay) Philips from comment #2)
> I'm asking what the app launcher panel on the left of the start center
> should be called, as i dont think it should be called a sidebar.

Why would we change it, what else could it be called? 

It is a sidebar, just not our SideBar GUI mashup that is only present when one of the modules is active.

I guess we could say -- "Use the **menu buttons** to open or create a document", but do we really gain anything doing that?
Comment 4 Adolfo Jayme 2015-08-02 09:24:46 UTC
I would change the text to avoid referring to the button bar of the Start Center. That is what I did when I translated it into Spanish (as I have never liked its wording in the first place).
Comment 5 Commit Notification 2016-04-24 00:06:49 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf9d9a3348a951df0a1261a0daee7e98fd8f28a4

tdf#93060 Start Center: Update this string to dodge problematic term

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 V Stuart Foote 2016-04-24 02:50:36 UTC
(In reply to Commit Notification from comment #5)
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=cf9d9a3348a951df0a1261a0daee7e98fd8f28a4
> 
> tdf#93060 Start Center: Update this string to dodge problematic term

I've mixed feelings about a change to the welcome screen's subtext becoming "Drop a document here or pick an app from the left side to create one.". 

It seems overly busy and there really was no issue with referring to the button bar as a sidebar, but guess it is a mute point now.
Comment 7 Adolfo Jayme 2016-04-24 04:18:04 UTC
To mitigate the “busy-ness” you mention, I would do away with that “Welcome to LibreOffice” thing… It’s another example of UI copy text introduced as a mere decoration (is it really that people forget what program have they just opened? To me, that label is superfluous).